import '@finastra/icon';
import { CSSResultGroup, LitElement } from 'lit';
export declare class BaseButton extends LitElement {
    static styles: CSSResultGroup;
    /**
     * The label displayed inside the button
     */
    label: string;
    /**
     * The name of the icon displayed before the label
     * Use trailingIcon to true to display this icon after the label
     */
    icon: string;
    /**
     * Use the smaller button size
     */
    dense: boolean;
    /**
     * Use the larger button size
     */
    large: boolean;
    /**
     * Is the button disabled or not
     */
    disabled: boolean;
    /**
     * Use the full width of its parent
     */
    fullwidth: boolean;
    /**
     * Display the icon after the label instead of before
     */
    trailingIcon: boolean;
    type: 'button' | 'reset' | 'submit';
    render(): import("lit").TemplateResult<1>;
    protected renderIcon(): import("lit").TemplateResult<1>;
}
